REST reference
Lti Platforms
Ta strona jest po angielsku
Polskie tłumaczenie obejmuje sekcje Instalacja i utrzymanie i Korzystanie z AlgoJudge. Pozostałe sekcje są materiałem technicznym i pozostają po angielsku.
curl -X GET "https://example.com/lti/platforms"[ { "id": "string", "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string", "isIdentityAuthority": true, "identityNamespace": "string", "usernameClaim": "string", "enabled": true, "providerId": "string", "createdAt": "string" }]curl -X POST "https://example.com/lti/platforms" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string" }'{ "id": "string", "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string", "isIdentityAuthority": true, "identityNamespace": "string", "usernameClaim": "string", "enabled": true, "providerId": "string", "createdAt": "string"}curl -X GET "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08"{ "id": "string", "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string", "isIdentityAuthority": true, "identityNamespace": "string", "usernameClaim": "string", "enabled": true, "providerId": "string", "createdAt": "string"}curl -X DELETE "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08"Empty
PUT
/lti/platforms/{id}Path Parameters
id*string
Format
uuidTypeScript Definitions
Use the request body type in TypeScript.
Response Body
curl -X PUT "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08" \ -H "Content-Type: application/json" \ -d '{ "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string" }'{ "id": "string", "displayName": "string", "issuer": "string", "clientId": "string", "deploymentId": "string", "keySetUrl": "string", "authTokenUrl": "string", "authLoginUrl": "string", "isIdentityAuthority": true, "identityNamespace": "string", "usernameClaim": "string", "enabled": true, "providerId": "string", "createdAt": "string"}curl -X GET "https://example.com/lti/platforms/497f6eca-6276-4993-bfeb-53cbbbba6f08/registration"{ "toolUrl": "string", "loginUrl": "string", "redirectUri": "string", "keySetUrl": "string", "customParameters": [ "string" ]}